wcr.AllStations = {}

timer.Create("wcr_UpdateStations", 1, 0, function()
	if wdj then
		wcr.AllStations = {}
		table.Add(wcr.AllStations, wcr.Stations)
		local ctrls = wdj.DJ_Controllers
		table.sort(ctrls, function(a,b) return a:EntIndex() < b:EntIndex() end)
		for _,e in pairs(ctrls) do
			local name
			if e.GetChannelNameFormatted then
				name = e:GetChannelNameFormatted()
			elseif e.GetChannel then
				name = "Radio Ch. "..e:GetChannel()
			end
			if !e.GetChannel then return end
			table.insert(wcr.AllStations, {
				Name = name,
				WDJ_Channel = e:GetChannel()
			})
		end
	elseif #wcr.AllStations <= 0 then
		table.Add(wcr.AllStations, wcr.Stations)
	end
end)